# Reorder Fields

Source: https://www.digiparser.com/docs/api/reorderFields

# Reorder Fields

Server URL`loading...`

POST

/`api`/`v1`/`parsers`/`{parserId}`/`fields`/`reorder`

Send

Authorization

Path

Body

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Request Body](#request-body)

`application/json`

fieldIds\*array<string\>

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X POST "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/fields/reorder" \  -H "Content-Type: application/json" \  -d '{    "fieldIds": [      "string"    ]  }'
```

200

```
{
  "fields": [
    {
      "id": "string",
      "name": "string",
      "type": "text",
      "description": "string",
      "instructions": "string",
      "required": true,
      "position": 0,
      "options": [
        "string"
      ],
      "columns": [
        {
          "id": "string",
          "name": "string",
          "type": "text",
          "description": "string",
          "instructions": "string",
          "required": true,
          "position": 0,
          "options": [
            "string"
          ],
          "columns": []
        }
      ]
    }
  ],
  "reprocessRecommended": true
}
```

[

Delete Field DELETE

Previous Page

](/docs/api/deleteField)[

List Documents GET

List documents for a parser with search, filters, sorting, and bounded pagination. This endpoint returns a compact document row. Use Get Document for the full document view.

](/docs/api/listDocuments)